---
lang: en
title: 'API docs: rest.controllerroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.controllerroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ControllerRoute](./rest.controllerroute.md)

## ControllerRoute class

A route backed by a controller

<b>Signature:</b>

```typescript
export declare class ControllerRoute<T> extends BaseRoute 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(verb, path, spec, controllerCtor, controllerFactory, methodName)](./rest.controllerroute._constructor_.md) |  | Construct a controller based route |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_controllerCtor](./rest.controllerroute._controllerctor.md) |  | <code>ControllerClass&lt;T&gt;</code> |  |
|  [\_controllerFactory](./rest.controllerroute._controllerfactory.md) |  | <code>ControllerFactory&lt;T&gt;</code> |  |
|  [\_controllerName](./rest.controllerroute._controllername.md) |  | <code>string</code> |  |
|  [\_methodName](./rest.controllerroute._methodname.md) |  | <code>string</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.controllerroute.describe.md) |  |  |
|  [invokeHandler(requestContext, args)](./rest.controllerroute.invokehandler.md) |  |  |
|  [updateBindings(requestContext)](./rest.controllerroute.updatebindings.md) |  |  |


